org.eclipse.eef.core.internal.controllers

## Class ValidationRuleResult

- java.lang.Object
- - org.eclipse.eef.core.internal.controllers.ValidationRuleResult

All Implemented Interfaces:
  IValidationRuleResult

Direct Known Subclasses:
  InvalidValidationRuleResult

    public class ValidationRuleResult
    extends java.lang.Object
    implements IValidationRuleResult

A validation rule result.

### Constructor Summary

Constructors
Constructor and Description
`ValidationRuleResult(EEFValidationRuleDescription validationRule)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`EEFValidationRuleDescription` `getValidationRule()` The validation rule.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidationRuleResult

    public ValidationRuleResult(EEFValidationRuleDescription validationRule)

The constructor.

Parameters:
  `validationRule` - The validation rule

### Method Detail

#### getValidationRule

    public EEFValidationRuleDescription getValidationRule()

The validation rule.

Specified by:
  `getValidationRule` in interface `IValidationRuleResult`
Returns:
  The validation rule
See Also:
  `IValidationRuleResult.getValidationRule()`